<?php

namespace brain\api\v1;

use brain\data\Session;
use brain\utility\Mailer;

class MailerAPI
{
    public function __construct()
    {
    }

    public static function handleMail($request, $body, $response)
    {
        // if testing, verify session is active
        // add clean method for sending programmtic emails
        if ($body['mail_task'] == 'TESTING') {
            if (Session::active()) {
                $result = Mailer::sendmail($body);
            } else {
                $result = [
                    'message' => 'You need to be logged in for this, champ.',
                    'type'    => 'MAILER_ERROR',
                ];
            }
        } else {
        }

        return $result;
    }
}
